# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Ape Escape Template

game: Ape Escape
requires:
  version: 0.7.55 # Version of MultiworldGG required for this yaml to work as expected.

Ape Escape:
  # Game Options
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Choose the victory condition for this world.
    # 
    #     mm: First Specter fight in Monkey Madness, with the vanilla condition (just get there).
    #     ppm: Second Specter fight in Peak Point Matrix, with the vanilla condition (catch all monkeys). Peak Point Matrix will only have the vanilla entry condition for Specter 1 and Specter 2 goals.
    #     tokenhunt: Collecting enough Specter Token items throughout the world.
    #     mmtoken: First Specter fight in Monkey Madness, after collecting enough Specter Token items.
    #     ppmtoken: Second Specter fight in Peak Point Matrix, after collecting enough Specter Token items.
    # 
    #     Supported values: mm, ppm, tokenhunt, mmtoken, ppmtoken
    #     Default value: first
    mm: 50
    ppm: 0
    tokenhunt: 0
    mmtoken: 0
    ppmtoken: 0

  requiredtokens:
    # Choose the required number of Specter Tokens for goal.
    # 
    #     Supported values: 5 - 60
    #     Default value: 20
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 5
    # Maximum value is 60
    20: 50
    random: 0
    random-low: 0
    random-high: 0

  totaltokens:
    # Choose the total number of Specter Tokens in the item pool.
    #     If a world requests a token requirement greater than the number of tokens created, then the total and required values will be swapped.
    # 
    #     Supported values: 5 - 60
    #     Default value: 30
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 5
    # Maximum value is 60
    30: 50
    random: 0
    random-low: 0
    random-high: 0

  tokenlocations:
    # Choose where Specter Tokens can be placed in the multiworld.
    # 
    #     anywhere: Specter Tokens can be placed anywhere in the multiworld.
    #     ownworld: Specter Tokens can only be placed in your world.
    # 
    #     Supported values: anywhere, ownworld
    #     Default value: ownworld
    anywhere: 0
    ownworld: 50

  logic:
    # Choose expected trick knowledge.
    # 
    #     normal: No advanced movement tech or out of bounds required, and hard monkeys will guarantee a helpful gadget. Some additional difficult or precise jumps won't be required either. May still require some out of the box thinking or non-standard routes. Suitable for casual players.
    #     hard: Movement tech can be required in places with a low penalty for failing. Suitable for players with speedrun knowledge.
    #     expert: All tricks and glitches can be required, and some monkeys may require resetting the room if not caught in a certain way. Can also require obscure game knowledge. Suitable for those seeking the ultimate challenge.
    # 
    #     Supported values: normal, hard, expert
    #     Default value: normal
    normal: 50
    hard: 0
    expert: 0

  infinitejump:
    # Choose if the Infinite Jump trick should be put into logic.
    # 
    #     false: Infinite Jump is not put into logic.
    #     true: Infinite Jump is put into logic.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  superflyer:
    # Choose if the Super Flyer trick should be put into logic.
    # 
    #     false: Super Flyer is not put into logic.
    #     true: Super Flyer is put into logic.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  entrance:
    # Choose which level entrances should be randomized. Peak Point Matrix will always be the last level. Races will be included in randomization if coin shuffle is on, and excluded otherwise.
    # 
    #     off: Levels will be in the vanilla order.
    #     on: Levels will be in a random order.
    #     lockmm: Levels will be in a random order, and Monkey Madness will be locked to its original entranxe.
    # 
    #     Supported values: off, on, lockmm
    #     Default value: on
    'off': 50
    'on': 0
    lockmm: 0

  unlocksperkey:
    # Choose how many levels each World Key should unlock. The first three levels will always start unlocked.
    #     Races will be skipped if coin shuffle is off. Peak Point Matrix will require the same number of keys as the Monkey Madness entrance on a boss goal, and one additional key on a token hunt or token boss goal.
    # 
    #     world: Each World Key unlocks the 1 or 3 levels in the next world. Creates between 6 and 9 World Keys.
    #     level: Each World Key unlocks the next level. Creates between 16 and 19 World Keys.
    #     twolevels: Each World Key unlocks the next two levels. Creates between 8 and 10 World Keys.
    #     none: All levels are open from the beginning of the game.
    # 
    #     Supported values: world, level, twolevels, none
    #     Default value: world
    world: 50
    level: 0
    twolevels: 0
    none: 0

  extrakeys:
    # Choose the number of extra World Keys that should be created.
    # 
    #     Supported values: 0 - 10
    #     Default value: 0
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  coin:
    # Choose if Specter Coins should be added as locations.
    # 
    #     false: Specter Coins are not locations.
    #     true: The 60 Specter Coins are added as locations.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  mailbox:
    # Choose if mailboxes should act as locations.
    #     Mailboxes in training rooms will never be locations.
    # 
    #     false: Mailboxes are not locations.
    #     true: The 63 available mailboxes are added as locations.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  lamp:
    # Choose if Monkey Lamps should be locked and shuffled into the multiworld.
    # 
    #     false: Monkey Lamps will act in vanilla (catch enough monkeys in their level to open the door)
    #     true: The 8 Monkey Lamps will be items in the multiworld, that open their respective door when received.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  gadget:
    # Choose a starting gadget aside from the Time Net.
    # 
    #     club: Start with the Stun Club.
    #     radar: Start with the Monkey Radar.
    #     sling: Start with the Slingback Shooter.
    #     hoop: Start with the Super Hoop.
    #     flyer: Start with the Sky Flyer.
    #     car: Start with the RC Car.
    #     punch: Start with the Magic Punch.
    #     waternet: Start with the Water Net.
    #     none: Start with no additional gadgets.
    # 
    #     Supported values: club, radar, sling, hoop, flyer, car, punch, waternet, none
    #     Default value: club
    club: 50
    radar: 0
    sling: 0
    hoop: 0
    flyer: 0
    car: 0
    punch: 0
    waternet: 0
    none: 0

  shufflenet:
    # Choose if the Time Net should be shuffled.
    #     This option requires at least one of coins and mailboxes to be shuffled to be used - if all locations in this world require the net, the net will be given at game start.
    # 
    #     false: Time Net is not shuffled, and is given at game start.
    #     true: Time Net is shuffled into the pool. The mailboxes in the Time Station will also be locations if this happens.
    # 
    #     Supported values: false, true
    #     Default value: false
    'false': 50
    'true': 0

  shufflewaternet:
    # Choose if the Water Net should be shuffled.
    # 
    #     off: Water Net is not shuffled, and is given at game start.
    #     progressive: Water Net is shuffled and split into parts, adding two Progressive Water Nets and Water Catch to the pool.
    #     - Progressive Water Net : The first allows Spike to swim on the surface and avoid drowning after a few seconds. The second allows Spike to dive underwater.
    #     - Water Catch: Allows shooting the Water Net.
    #     on: Water Net is shuffled, adding it to the pool as a single item.
    # 
    #     Supported values: off, progressive, on
    #     Default value: off
    'off': 50
    progressive: 0
    'on': 0

  lowoxygensounds:
    # Choose how quickly the low oxygen beep sound effect will play when underwater.
    # 
    #     off: Low Oxygen sounds will not play at all.
    #     half: Low Oxygen sounds will play less frequently.
    #     on: Low Oxygen Sounds will play normally.
    # 
    #     Supported values: off, half, on
    #     Default value: half
    'off': 0
    half: 50
    'on': 0

  trapfillpercentage:
    # Replace a percentage of filler items in the item pool with random traps.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  itemdisplay:
    # Set the default for the Bizhawk item display command. This can be changed in the client at any time. The position and duration of these messages can be changed in Bizhawk config at any time.
    # 
    #     off: Receiving an item will not show a message in Bizhawk.
    #     on: Receiving an item will show a message in Bizhawk.
    # 
    #     Supported values: off, true
    #     Default value: on
    'off': 0
    'on': 50

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  # Item & Location Options
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []
